org.eclipse.graphiti.mm.algorithms.styles

## Interface Font

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FontImpl

    public interface Font
    extends org.eclipse.emf.ecore.EObject

A representation of the model object ' Font'.

The following features are supported:

- `Name`
- `Size`
- `Italic`
- `Bold`

See Also:
  `StylesPackage.getFont()`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the value of the 'Name' attribute.
`int` `getSize()` Returns the value of the 'Size' attribute.
`boolean` `isBold()` Returns the value of the 'Bold' attribute.
`boolean` `isItalic()` Returns the value of the 'Italic' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getName

    String getName()

Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  `StylesPackage.getFont_Name()`

#### getSize

    int getSize()

Returns the value of the 'Size' attribute.

If the meaning of the 'Size' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Size' attribute.
See Also:
  `StylesPackage.getFont_Size()`

#### isItalic

    boolean isItalic()

Returns the value of the 'Italic' attribute.

If the meaning of the 'Italic' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Italic' attribute.
See Also:
  `StylesPackage.getFont_Italic()`

#### isBold

    boolean isBold()

Returns the value of the 'Bold' attribute.

If the meaning of the 'Bold' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Bold' attribute.
See Also:
  `StylesPackage.getFont_Bold()`